package com.lz.modules.equipment.entity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* <p>
* 菜单权限表
* </p>*
* @author quyixiao
* @since 2020-07-24
*/

@Data
@TableName("equipment_flow_record")
public class EquipmentFlowRecord implements java.io.Serializable {
    //主键id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除
    private Integer isDelete;
    //生成时间
    private Date gmtCreate;
    //修改时间
    private Date gmtModified;
    //品牌名称
    private String brandName;
    //规格型号
    private String specType;

    private Integer changeType;
    //使用者
    private String user;
    //原使用者
    private String originalUser;
    //本次盘点记录人员
    private String recordUser;
    //设备id
    private Long equipmentId;
    //使用人id
    private Long userId;
    //本次盘点记录人员id
    private Long recordUserId;
    //出库时间
    private Date gmtOutbound;
    //入库时间
    private Date gmtInbound;
    //买入金额
    private BigDecimal buyAmount;
    //出售金额
    private BigDecimal saleAmount;
    //备注
    private String mark;
    /**
     * 主键id 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * 主键id 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 生成时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 生成时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }


    /**
     * 品牌名称 
     * @return
     */
    public String getBrandName() {
        return brandName;
    }
    /**
     * 品牌名称 
     * @param brandName
     */
    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    /**
     * 规格型号 
     * @return
     */
    public String getSpecType() {
        return specType;
    }
    /**
     * 规格型号 
     * @param specType
     */
    public void setSpecType(String specType) {
        this.specType = specType;
    }

    /**
     * 变更类型 1：申领 2：调拨 3：出售 4：不可用 
     * @return
     */
    public Integer getChangeType() {
        return changeType;
    }
    /**
     * @param changeType
     */
    public void setChangeType(Integer changeType) {
        this.changeType = changeType;
    }

    /**
     * 使用者 
     * @return
     */
    public String getUser() {
        return user;
    }
    /**
     * 使用者 
     * @param user
     */
    public void setUser(String user) {
        this.user = user;
    }

    /**
     * 原使用者 
     * @return
     */
    public String getOriginalUser() {
        return originalUser;
    }
    /**
     * 原使用者 
     * @param originalUser
     */
    public void setOriginalUser(String originalUser) {
        this.originalUser = originalUser;
    }

    /**
     * 本次盘点记录人员 
     * @return
     */
    public String getRecordUser() {
        return recordUser;
    }
    /**
     * 本次盘点记录人员 
     * @param recordUser
     */
    public void setRecordUser(String recordUser) {
        this.recordUser = recordUser;
    }

    /**
     * 设备id 
     * @return
     */
    public Long getEquipmentId() {
        return equipmentId;
    }
    /**
     * 设备id 
     * @param equipmentId
     */
    public void setEquipmentId(Long equipmentId) {
        this.equipmentId = equipmentId;
    }

    /**
     * 使用人id 
     * @return
     */
    public Long getUserId() {
        return userId;
    }
    /**
     * 使用人id 
     * @param userId
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * 本次盘点记录人员id 
     * @return
     */
    public Long getRecordUserId() {
        return recordUserId;
    }
    /**
     * 本次盘点记录人员id 
     * @param recordUserId
     */
    public void setRecordUserId(Long recordUserId) {
        this.recordUserId = recordUserId;
    }

    /**
     * 出库时间 
     * @return
     */
    public Date getGmtOutbound() {
        return gmtOutbound;
    }
    /**
     * 出库时间 
     * @param gmtOutbound
     */
    public void setGmtOutbound(Date gmtOutbound) {
        this.gmtOutbound = gmtOutbound;
    }

    /**
     * 入库时间 
     * @return
     */
    public Date getGmtInbound() {
        return gmtInbound;
    }
    /**
     * 入库时间 
     * @param gmtInbound
     */
    public void setGmtInbound(Date gmtInbound) {
        this.gmtInbound = gmtInbound;
    }

    /**
     * 买入金额 
     * @return
     */
    public BigDecimal getBuyAmount() {
        return buyAmount;
    }
    /**
     * 买入金额 
     * @param buyAmount
     */
    public void setBuyAmount(BigDecimal buyAmount) {
        this.buyAmount = buyAmount;
    }

    /**
     * 出售金额 
     * @return
     */
    public BigDecimal getSaleAmount() {
        return saleAmount;
    }
    /**
     * 出售金额 
     * @param saleAmount
     */
    public void setSaleAmount(BigDecimal saleAmount) {
        this.saleAmount = saleAmount;
    }

    /**
     * 备注 
     * @return
     */
    public String getMark() {
        return mark;
    }
    /**
     * 备注 
     * @param mark
     */
    public void setMark(String mark) {
        this.mark = mark;
    }


    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    @Override
    public String toString() {
        return "EquipmentFlowRecord{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModify=" + gmtModified +
                ",brandName=" + brandName +
                ",specType=" + specType +
                ",changeType=" + changeType +
                ",user=" + user +
                ",originalUser=" + originalUser +
                ",recordUser=" + recordUser +
                ",equipmentId=" + equipmentId +
                ",userId=" + userId +
                ",recordUserId=" + recordUserId +
                ",gmtOutbound=" + gmtOutbound +
                ",gmtInbound=" + gmtInbound +
                ",buyAmount=" + buyAmount +
                ",saleAmount=" + saleAmount +
                ",mark=" + mark +
                "}";
    }
}